Infra Chapril - Demande #5166

Probléme de place sur maine
30/01/2021 11:02 - Frangois Poulain

Statut: Fermé Début: 30/01/2021
Priorité: Normale Echéance:

Assigné a: Frangois Poulain % réalisé: 0%
Catégorie: Hypervision Temps estimé: 0.00 heure
Version cible: Sprint 2021 janvier

Description

On a maine qui voit rouge :

Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur
/dev/drbd0 1007G 885G 71G  93% /var/lib/libvirt/maine

Les données stockées deviennent effectivement trop grosses pour le volume :

=(~"-")=root@maine:~# du —-sch /var/lib/libvirt/maine/* | sort -h
[...]

43G /var/lib/libvirt/maine/pad.qgcow?2

99G /var/lib/libvirt/maine/drop-data.qgcow2

191G /var/lib/libvirt/maine/valise—-data.qgcow?2

319G /var/lib/libvirt/maine/pouet.qgcow2

885G total

NB: comme c'est du sparse, il ne faut pas regarder la sortie d'un Is -h.

Historique

#1 - 30/01/2021 11:37 - Francois Poulain

L'espace provisionné sur maine par les VM se rapproche de 1500Go :
ls -1 /var/lib/libvirt/maine/ | awk '{s+=$5}END{print s/1024"3}"
1428.28

Je propose de passer vg_maine de 1024Go a 1536Go en suivant la procédure « April » d'augmentation de DRBD, en la backportant dans la doc
chapiril.

#2 - 30/01/2021 12:02 - Christian P. Momon

J'approuve, go \o/

#3 - 30/01/2021 12:07 - Francois Poulain

La doc : https://admin.chapril.org/doku.php?id=admin:procedures:elargir_drbd#augmenter_la_taille_de_la_partition_maine

Je vais faire la procédure avec +512Go.

#4 - 30/01/2021 12:14 - Francois Poulain

Les LV sont élargis mais drbd n'a pas l'air de s'élargir.
april@renard:~$ ssh coon

=("=")=root@coon:~# lvextend -L +512G /dev/vg_coon/maine
/dev/drbd0: open failed: Mauvais type de médium
Size of logical volume vg_coon/maine changed from 1,00 TiB (262144 extents) to 1,50 TiB (393216 extents).
Logical volume vg_coon/maine successfully resized.

=("-")=root@coon:~# déconnexion

Shared connection to 94.130.8.3 closed.

april@renard:~$ ssh maine
=("-")=root@maine:~# lvextend -L +512G /dev/vg_maine/maine
/dev/drbdl: open failed: Mauvais type de médium
Size of logical volume vg_maine/maine changed from 1,00 TiB (262144 extents) to 1,50 TiB (393216 extents).
Logical volume vg_maine/maine successfully resized.

=("-")=root@maine:~# drbdadm -- --assume-clean resize maine

=("-")=root@maine:~# drbd-overview
NOTE: drbd-overview will be deprecated soon.
Please consider using drbdtop.

0:maine/0 Connected Primary/Secondary UpToDate/UpToDate /var/lib/libvirt/maine ext4 1007G 886G 71G 93%
l:coon/0 Connected Secondary/Primary UpToDate/UpToDate

#5 - 30/01/2021 12:21 - Francois Poulain

Pourtant au syslog :

Jan 30 12:10:53 maine kernel: [4454340.070407] block drbd0: Writing the whole bitmap, md moved

Jan 30 12:10:54 maine kernel: [4454341.010500] block drbd0O: drbd_bm_ resize called with capacity == 3221127096
Jan 30 12:10:54 maine kernel: [4454341.014452] block drbd0O: resync bitmap: bits=402640887 words=6291264 pages=
12288

Jan 30 12:10:54 maine kernel: [4454341.014457] block drbd0O: size = 1536 GB (1610563548 KB)

Jan 30 12:10:54 maine kernel: [4454341.170311] block drbd0: Writing the whole bitmap, size changed

Jan 30 12:10:54 maine kernel: [4454341.286214] block drbd0O: bitmap WRITE of 4097 pages took 116 ms

Jan 30 12:10:54 maine kernel: [4454341.286219] block drbd0: 0 KB (0 bits) marked out-of-sync by on disk bit-ma
pP.

Jan 30 12:10:54 maine kernel: [4454341.320419] block drbd0O: Resync of new storage suppressed with —--assume-cle
an

#6 - 30/01/2021 12:23 - Francois Poulain

Confiant, je poursuis.

=("-")=root@maine:~# resize2fs /dev/drbd0

resize2fs 1.44.5 (15-Dec-2018)

Filesystem at /dev/drbd0 is mounted on /var/lib/libvirt/maine; on-line resizing required
old_desc_blocks = 128, new_desc_blocks = 192

The filesystem on /dev/drbd0 is now 402640887 (4k) blocks long.

Et c'est bon :

# df -h

Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur

foool

/dev/drbd0 1,5T 886G 555G 62% /var/lib/libvirt/maine

#7 - 30/01/2021 13:21 - Francois Poulain

- Statut changé de Nouveau a Résolu

#8 - 30/01/2021 16:18 - Christian P. Momon
- Catégorie mis a Hypervision

- Assigné a mis a Frangois Poulain

#9 - 03/02/2021 23:22 - Christian P. Momon

- Statut changé de Résolu a Fermé

#10 - 04/02/2021 04:36 - Christian P. Momon

- Version cible changé de Backlog a Sprint 2021 janvier
